summaryrefslogtreecommitdiffstats
path: root/src/cmd/shell.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/cmd/shell.sh')
-rw-r--r--src/cmd/shell.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/src/cmd/shell.sh b/src/cmd/shell.sh
index 578e5d1..d964ec5 100644
--- a/src/cmd/shell.sh
+++ b/src/cmd/shell.sh
@@ -37,7 +37,10 @@ cmd_shell_main()
root="$(block_mount "${dev}")"
fi
- profile_detect "${root}"
+ if ! profile_detect "${root}"; then
+ [ "x${dev}" != 'x' ] && block_umount "${root}"
+ return 2
+ fi
session_begin "${root}" . : false
if [ ${#} -eq 0 ]; then